@font-face{
    font-family:"Above The Sky W05 Script";
    src:url("../fonts/bb6ef540-f2da-4687-8545-562c3b0d8d85.eot?#iefix");
    src:url("../fonts/bb6ef540-f2da-4687-8545-562c3b0d8d85.eot?#iefix") format("eot"),url("../fonts/07849fb4-d4b6-44bd-b310-9e2644373046.woff2") format("woff2"),url("../fonts/1288032c-644e-4b2b-99bb-c82bf7d737ad.woff") format("woff"),url("../fonts/35305aa5-2506-449b-a1c0-e25f1f84fda8.ttf") format("truetype");
}
@font-face{
    font-family:"AvenirNextLTW01-DemiCn";
    src:url("../fonts/fe4d96a8-3161-4f0c-ac51-ed6a5df15918.eot?#iefix");
    src:url("../fonts/fe4d96a8-3161-4f0c-ac51-ed6a5df15918.eot?#iefix") format("eot"),url("../fonts/d268cd4d-987c-468a-a9bb-685df57a3892.woff2") format("woff2"),url("../fonts/add96dac-4679-4981-9390-74fd5a5bf61f.woff") format("woff"),url("../fonts/60f1dfd0-eea9-448c-84a0-e4e8d5ba7516.ttf") format("truetype");
}

*{
	margin:0;
	padding: 0;
	border: 0;
	box-sizing: border-box;
}

html, body{
	height: 100%;
}

body{
	display: flex;
	flex-direction: column;
	font-family: sans-serif;
	background: white;
}

main{
	margin:auto;
}

.back{
	font-family: 'AvenirNextLTW01-DemiCn';
	text-transform: uppercase;
	font-size:16px;
	text-decoration: none;
	color:#222;
	padding: 12px;
}

.view{
	position: relative;
}

.view video{
	width: 90vw;
	height: calc(90vw * 9 / 16);
	display: block;
	max-width: 1920px;
	max-height: 1080px;
}

.view canvas{
	position: absolute;
	top:0;
	left:0;
	right: 0;
	bottom:0;
	width: 100%;
	height: 100%;
	display: none;

	transition: opacity 1.5s ease-out;
}

.view .shade{
	position: absolute;
	top:0;
	left:0;
	right: 0;
	bottom:0;
	background: rgba(0,0,0,0.65);
	opacity: 0;
	transition: opacity 0.65s ease-out;
	pointer-events: none;
}

.view .degrade{
	position: absolute;
	bottom: 0;
	left:0;
	right: 0;
	height: 15%;
	background: linear-gradient(0deg, rgba(0,0,0,0.7), transparent);
}

.pause-state-icon{
	position: absolute;
	top:50%;
	left:50%;
	transform: translate(-50%, -50%);

	opacity: 0;
	transition: opacity 0.6s cubic-bezier(0.4, 0, 0, 1);
	pointer-events: none;
}

.pause-state-icon div{
	background: white;
	width: 10px;
	height: 50px;
	margin:0 6px;
	display: inline-block;
	vertical-align: top;
}

.buffer-state-icon{
	position: absolute;
	top: 12px;
	left: 12px;
	width: 50px;
	height: 50px;
	background: url(../img/spinner.svg) no-repeat;
	background-size:contain;
	background-position: 50%;

	animation: fadeIn 0.3s ease-in-out 0.3s backwards;
	-webkit-animation: fadeIn 0.3s ease-in-out 0.3s backwards;

	display: none;
}

.view .overlay{
	position: absolute;
	top:0;
	left:0;
	right: 0;
	bottom:0;
	display: flex;

	opacity: 0;
	pointer-events: none;

	animation: fadeOutOverlay 0.35s ease-in-out;
	-webkit-animation: fadeOutOverlay 0.35s ease-in-out;
}

@keyframes fadeOutOverlay{
	from{
		opacity: 1;
	}

	to{
		opacity: 0;
	}
}

.view .overlay .content{
	margin:auto;
	color: white;
}

.view .question{
	display: none;
	text-align: center;
}

.view .question.active{
	display: block;
}

.view .question p{
	font-family: 'AvenirNextLTW01-DemiCn';
	text-transform: uppercase;
	font-size:42px;
	letter-spacing: -0.8px;
	margin-bottom: 1.4em;
}

.view .question p span{
	display: inline-block;
	position: relative;
}

.view .question p span::before{
	content:'';
	position: absolute;
	display: block;
	background: salmon;
	width: 105%;
    height: 120%;
	transform-origin: 10% 110%;
    transform: rotate(-2deg);

	animation: spanGrow 0.3s ease-in-out 0.2s backwards;
	-webkit-animation: spanGrow 0.3s ease-in-out 0.2s backwards;
}

@keyframes spanGrow{
	from{
		transform: scaleY(0) rotate(0deg);
	}

	to{
		transform: scaleY(1) rotate(-2deg);
	}
}
@-webkit-keyframes spanGrow{
	from{
		transform: scaleY(0) rotate(0deg);
	}

	to{
		transform: scaleY(1) rotate(-2deg);
	}
}

.view .question p strong{
	position: relative;
	font-weight: normal;
}

.view .question button{
	padding: 6px;
	background: transparent;
	font:inherit;
	font-family: 'Above The Sky W05 Script';
	font-size: 54px;
	color:inherit;
	vertical-align: middle;
	outline: none;
	max-width: 350px;
	line-height: 0.85;
	cursor: pointer;
}

#q1 button:first-of-type{
	line-height: 0.9;
	margin-right: 16px;
}

.view .question button:hover{
	color:#ffd877;
	color:salmon;
}

.view .cross{
	display: inline-block;
	vertical-align: middle;
	position: relative;
	margin:0 60px;
}

.view .cross .line{
	position: absolute;
	transform: translate(-50%, 0) rotate(45deg);
	left:0;
}

.view .cross .line div{
	width: 120px;
	height: 1px;
	background: white;
	animation: grow 0.9s cubic-bezier(0.6, 0, 0, 1) 0.65s backwards;
	-webkit-animation: grow 0.9s cubic-bezier(0.6, 0, 0, 1) 0.65s backwards;
}

.view .cross .line:first-child{
	transform: translate(-50%, 0) rotate(-45deg);
}

.view .cross .count,
.view .cross .total{
	position: absolute;
	font-family: 'AvenirNextLTW01-DemiCn';
	font-size:14px;
	left:0;
	top:-30px;
	transform: translate(-50%,-50%);
}

.view .cross .count span,
.view .cross .total span{
	display: block;
	animation: slideDown 0.6s cubic-bezier(0.4, 0, 0, 1) 1.4s backwards;
	-webkit-animation: slideDown 0.6s cubic-bezier(0.4, 0, 0, 1) 1.4s backwards;
}

.view .cross .total span{
	animation-name: slideTop;
	-webkit-animation-name: slideTop;
	animation-delay: 1.47s;
	-webkit-animation-delay: 1.47s;
}

.view .cross .total{
	top:30px;
}

.view .cross .total{
	position: absolute;
}

.view .question button{
	animation:  slideLeft 0.8s cubic-bezier(0.6, 0, 0, 1) 0.9s backwards;
	-webkit-animation:  slideLeft 0.8s cubic-bezier(0.6, 0, 0, 1) 0.9s backwards;
}

.view .question button:last-child{
	animation:  slideRight 0.8s cubic-bezier(0.6, 0, 0, 1) 0.9s backwards;
	-webkit-animation:  slideRight 0.8s cubic-bezier(0.6, 0, 0, 1) 0.9s backwards;
}

.view .question p{
	animation:  slideTop 0.8s cubic-bezier(0.6, 0, 0, 1) backwards;
	-webkit-animation:  slideTop 0.8s cubic-bezier(0.6, 0, 0, 1) backwards;
}

.view .question:first-child button,
.view .question:first-child p{
	animation: none;
	-webkit-animation: none;
}


.logo{
	height: 85px;
	position: absolute;
	bottom: 40px;
	left: 40px;
	transform: translate(30px, -30px);
	transition: transform 0.8s cubic-bezier(0.6, 0, 0, 1), opacity 0.8s cubic-bezier(0.6, 0, 0, 1);
}
.logo img{
	height: 100%;
	display: block;
}

.intro .reglement{
	display: block;
	color:white;
	position: absolute;
	bottom: 52px;
	right: 52px;
	font-size: 12px;
	font-family: 'AvenirNextLTW01-DemiCn';
}

.intro .reglement:hover{
	color:salmon;
}

.intro .play{
	border:1px solid rgba(255,255,255,0.5);
	background: rgba(0,0,0,0.2);
	width: 80px;
	height: 80px;
	border-radius: 100%;
	margin:2em auto 0;
	position: relative;
	cursor: pointer;

	transition: border 0.3s ease-out, background 0.3s ease-in-out;
}

.intro .play::before{
	content:'';
	display: block;
	position: absolute;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 20px 0 20px 34px;
	border-color: transparent transparent transparent #FFF;
	top:50%;
	left:50%;
	transform: translate(-37%,-50%);
}

.view:hover .intro .play{
	border:2px solid salmon;
	background: rgba(0,0,0,0.5);
}

.view .question.intro p{
	font-size:21px;
	animation: none;
	-webkit-animation: none;
	max-width: 600px;
	margin:1em auto 0 1em;
	letter-spacing: 0.2px;
}

.view .question.intro{
	padding-top:40px;
}

.view .question.intro button{
	line-height: 1.1;
	font-size: 66px;
	max-width: 440px;
	cursor: pointer;
}

.view:hover .question.intro button{
	color:white;
}

.view .question.intro p span::before{
	width:102%;
}

.view .question.intro p span::before{
	animation: none;
	-webkit-animation: none;
}

.conclusion p{
	max-width: 600px;
	line-height: 1.1;
}

.allgood, 
.notsogood{
	display: none;
}

@keyframes fadeIn{
	from{
		opacity: 0;
	}

	to{
		opacity: 1;
	}
}
@-webkit-keyframes fadeIn{
	from{
		opacity: 0;
	}

	to{
		opacity: 1;
	}
}

@keyframes grow{
	from{
		transform: scaleX(0);
	}

	to{
		transform: scaleX(1);
	}
}
@-webkit-keyframes grow{
	from{
		transform: scaleX(0);
	}

	to{
		transform: scaleX(1);
	}
}

@keyframes slideLeft{
	from{
		opacity: 0;
		transform: translateX(30px);
	}

	to{
		opacity: 1;
		transform: translateX(0);
	}
}
@-webkit-keyframes slideLeft{
	from{
		opacity: 0;
		transform: translateX(30px);
	}

	to{
		opacity: 1;
		transform: translateX(0);
	}
}

@keyframes slideRight{
	from{
		opacity: 0;
		transform: translateX(-30px);
	}

	to{
		opacity: 1;
		transform: translateX(0);
	}
}
@-webkit-keyframes slideRight{
	from{
		opacity: 0;
		transform: translateX(-30px);
	}

	to{
		opacity: 1;
		transform: translateX(0);
	}
}

@keyframes slideTop{
	from{
		opacity: 0;
		transform: translateY(30px);
	}

	to{
		opacity: 1;
		transform: translateY(0);
	}
}
@-webkit-keyframes slideTop{
	from{
		opacity: 0;
		transform: translateY(30px);
	}

	to{
		opacity: 1;
		transform: translateY(0);
	}
}
@keyframes slideDown{
	from{
		opacity: 0;
		transform: translateY(-20px);
	}

	to{
		opacity: 1;
		transform: translateY(0);
	}
}
@-webkit-keyframes slideDown{
	from{
		opacity: 0;
		transform: translateY(-20px);
	}

	to{
		opacity: 1;
		transform: translateY(0);
	}
}


main .view .btn{
	font-family: 'AvenirNextLTW01-DemiCn';
	text-transform: uppercase;
	font-size:22px;
	background: salmon;
	animation: none;
	-webkit-animation: none;
	padding:14px 18px;
	white-space: nowrap;
	border-radius: 4px;
	letter-spacing: -0.6px;
	text-shadow: 0 0 3px rgba(0,0,0,0.2);
}

main .view .btn:hover{
	background: white;
	color:salmon;
	text-shadow: none;
}

#q5 h3{
	font-family: 'Above The Sky W05 Script';
	font-size:72px;
	font-weight: normal;

	animation: slideTop 0.8s cubic-bezier(0.6, 0, 0, 1) backwards;
	-webkit-animation: slideTop 0.8s cubic-bezier(0.6, 0, 0, 1) backwards;
}

#q5 p{
	font-size:24px;

	animation: fadeIn 1.2s cubic-bezier(0.6, 0, 0, 1) 0.2s backwards;
	-webkit-animation: fadeIn 1.2s cubic-bezier(0.6, 0, 0, 1) 0.2s backwards;
}


#q5 p:nth-child(3){
	animation: fadeIn 1.2s cubic-bezier(0.6, 0, 0, 1) 0.3s backwards;
	-webkit-animation: fadeIn 1.2s cubic-bezier(0.6, 0, 0, 1) 0.3s backwards;
}

#q5 button{
	animation: slideDown 0.8s cubic-bezier(0.6, 0, 0, 1) 0.4s backwards;
	-webkit-animation: slideDown 0.8s cubic-bezier(0.6, 0, 0, 1) 0.4s backwards;
}

#q5 .reglement{
	font-family: 'AvenirNextLTW01-DemiCn';
	color:whitesmoke;
	display: block;
	margin-top: 2rem;
	animation: fadeIn 0.8s cubic-bezier(0.6, 0, 0, 1) 0.6s backwards;
	-webkit-animation: fadeIn 0.8s cubic-bezier(0.6, 0, 0, 1) 0.6s backwards;
}

#q5 .reglement:hover{
	color:salmon;
}

.cadre{
	position: absolute;
	top:-1px;
	left:-1px;
	right: -1px;
	bottom: -1px;
	pointer-events: none;
	overflow: hidden;
}

.cadre > div{
	position: absolute;
	background: white;
}

.cadre .top,
.cadre .bottom{
	height: 30px;
	width: 100%;
	left:0;
	transition: transform 0.8s cubic-bezier(0.6, 0, 0, 1);
}

.cadre .top{
	top:0;
	transform-origin: top left;
	transform: scaleY(0);
}

.cadre .bottom{
	bottom:0;
	transform-origin: bottom left;
	transform: scaleY(0);
}

.cadre .left,
.cadre .right{
	height: 100%;
	width: 30px;
	top:0;
	transition: transform 0.8s cubic-bezier(0.6, 0, 0, 1);
}

.cadre .left{
	left:0;
	transform-origin: bottom left;
	transform: scaleX(0);
}

.cadre .right{
	right:0;

	transform-origin: bottom right;
	transform: scaleX(0);
}

.cadre.active .top,
.cadre.active .bottom {
	transform: scaleY(1);
}

.cadre.active .left,
.cadre.active .right {
	transform: scaleX(1);
}

main.questionning .shade{
	opacity: 1;
}

main.questionning .overlay{
	opacity: 1;
	pointer-events: inherit;
	animation: none;
	-webkit-animation: none;
}

main.questionning canvas{
	display: block;
}

.view{
	overflow: hidden;
}

.skippy{
	position: absolute;
	background: black;
	right: 0;
	bottom: 100px;
	color:white;
	font-family: 'AvenirNextLTW01-DemiCn';
	font-size:14px;
	cursor: pointer;
	transition: transform 0.45s cubic-bezier(0.75, 0, 0, 1);
	transform: translateX(100%);
}

.skippy:hover{
	background: salmon;
}

.skippy.active{
	transform: translateX(0);
}

.skippy img{
	display: block;
	width: 210px;
}

.skippy label{
	width: 165px;
    display: block;
    line-height: 1.2;
    text-transform: uppercase;
    text-align: right;
    margin: 12px;
    background: url(../img/next.svg) no-repeat;
    background-size: 15px;
    background-position: 100% 50%;
    padding-right: 25px;
    user-select: none;
    margin-left: auto;
}

footer {
	color:#666;
	font-family: 'AvenirNextLTW01-DemiCn';
	text-transform: uppercase;
	font-size:13px;
	letter-spacing: 4px;
	text-align: center;
	padding: 1em 0;
}

@media only screen and (max-width: 1000px) {

	.view video{
		width: 100vw;
		height: 80vh;
		object-fit: cover;
	}
	.skippy img {
		display: none;
	}
}

@media only screen and (max-width: 800px) {

	.cadre{
		display: none;
	}

	.view canvas{
		visibility: hidden;
		display: none;
	}

	.view video{
		width: 100vw;
		height: 80vh;
		object-fit: contain;
	}

	.view .overlay .content{
		width: 100%;
	}

	.view .question p{
		font-size:24px;
		width: 95%;
		margin:0 auto 2rem;
	}

	.view .question button{
		padding: 25px 10px;
		font-size: 36px;
		max-width: 250px;
	}

	.view .question.intro{
		padding: 0;
	}

	.view .question.intro button{
		font-size: 48px;
		width: 90%;
		max-width: 300px;
	}

	.view .question.intro p{
		font-size:18px;
		letter-spacing: 0;
		margin:1em auto 0;
		width: 100%;
		line-height: 1.6em;
	}

	.logo{
		height: 60px;
	}

	.intro .reglement{
		right:18px;
		bottom: 18px;
	}

	.intro .play{
		margin-top:0;
	}

	footer{
		letter-spacing: 0;
		margin: auto;
		padding: 12px 0;
	}

	main .view .btn{
		font-size: 18px;
		width: auto;
	}

	#q5 h3{
		font-size:62px;
	}

	#q5 p{
		font-size:18px;
	}
}

@media screen and (max-height: 400px){

	.intro .play{
		display: none;
	}
}

@media only screen and (max-width: 550px) {

	body{
		overflow-x: hidden;
	}

	.view video{
		width: 100vw;
		height: 75vh;
		object-fit: contain;
	}

	.view .question button{
		width: 100%;
		max-width: none;
		font-size: 36px;
		margin:6px auto;
		padding:25px 10px;
	}

	.view .question button br{
		display: none;
	}

	.view .question.intro p{
		margin:1em auto 1em;
	}

	.intro .reglement{
		position: static;
		margin-top:1rem;
	}

	.view .cross{
		display: none;
	}

	main .view .btn{
		font-size: 18px;
		width: auto;
	}

	footer{
		letter-spacing: 0;
		max-width: 250px;
		margin:auto;
		padding: 12px 0;
	}

	.logo{
		height: 60px;
		left:15px;
		bottom:15px;
		transform: none;
	}

	.skippy img{
		display: none;
	}

	.skippy{
		bottom: 15px;
	}

	.skippy label{
		font-size:12px;
		width: 150px;
	}

	.questionning .logo{
		opacity: 0;
	}

	.view .question button{
		animation: slideTop 0.8s cubic-bezier(0.6, 0, 0, 1) 0.4s backwards;
		-webkit-animation: slideTop 0.8s cubic-bezier(0.6, 0, 0, 1) 0.4s backwards;
	}

	.view .question button:last-child{
		animation: slideTop 0.8s cubic-bezier(0.6, 0, 0, 1) 0.5s backwards;
		-webkit-animation: slideTop 0.8s cubic-bezier(0.6, 0, 0, 1) 0.5s backwards;
	}
}

@media screen and (max-width: 950px) and (max-height: 580px){
	.logo{
		left: 12px;
		transform: translate(30px, 0px);
	}
	.view .cross .line div{
		width: 60px !important;
	}
	.view .cross .count{
		top: -20px;
	}
	.view .cross .total{
		top: 20px;
	}
	.view .question.intro {
		padding-top: 10px;
	}
	.view .question.intro p {
		font-size: 17px;
	}
	.view .question button {
		padding: 15px 10px;
	}
	.view .question.intro button{
		font-size:45px;
		max-width: 500px;
	}
	.intro .play{
		display:none;
	}
}

@media screen and (max-width: 600px) and (max-height: 360px){
	.view .question.intro p{
		font-size: 13px;
	}
	.view .question.intro button{
		font-size: 35px;
	}
}